'-------------------------------------------------------------------------
' System:	SRIMfit
' File: 	Install_SRIMfit_std.vbs	(standard case)
' Description: copy SRIMfit.xlam & MySRIMwb.xlsx 
'	       into Excel.Application.LibraryPath
' Corded: 180826 Ayoshida@RIKEN
'         181012 Ay bug fixed; strMyPath
'         181022 Ay for Old Excel 97-2003
'-------------------------------------------------------------------------

Const FnAddIn="SRIMfit.xla"
Const FnData= "MySRIMwb.xls"

IF MsgBox(" Do you install [ SRIMfit module ] for old Excel ?", _
  vbYesNo + vbQuestion) = vbNo Then 
  MsgBox "Quit installation"
  WScript.Quit 
End IF 
Call Inst
MsgBox "Complete!"

'----------------------------------------

Sub Inst()
    Dim objExcel, objFileSys
    Dim strAdPath, strMyPath, strAdCp, strMyCp
    Dim oAdd

' Create Excel object
    Set objExcel   = CreateObject("Excel.Application")
    MsgBox "Your Excel Version = " & objExcel.Version & vbCrLf 
' Create FileSystem object
    Set objFileSys = CreateObject("Scripting.FileSystemObject")
' Get AddIn Path C:\Program Files\Microsoft Office **~**\Library\
    strAdPath = objExcel.Application.LibraryPath
    strMyPath = Replace(WScript.ScriptFullName, WScript.ScriptName, "")
    strMyPath = Replace(strMyPath, "_Scripts\", "")  ' directory
'    MsgBox "strAdPath = " & vbCrLf & strAdPath & vbCrLf &_
'	    "strMyPath = " & vbCrLf & strMyPath
' Copy-(1)
    strAdCp   = objFileSys.BuildPath(strAdPath, FnData)
    strMyCp   = objFileSys.BuildPath(strMyPath, FnData)
    MsgBox "Copy-(1) AddIn Data File [ " & FnData & " ]" & vbCrLf & _
	   " From: " & vbCrLf & strMyCp & vbCrLf & _
           " To  : " & vbCrLf & strAdCp
    objFileSys.CopyFile strMyCp, strAdCp
' Copy-(2)
    strAdCp   = objFileSys.BuildPath(strAdPath, FnAddIn)
    strMyCp   = objFileSys.BuildPath(strMyPath, FnAddIn)
    MsgBox "Copy-(2) AddIn Script File [ " & FnAddIn & " ]" & vbCrLf & _
	   " From: " & vbCrLf & strMyCp & vbCrLf & _
           " To  : " & vbCrLf & strAdCp
    objFileSys.CopyFile strMyCp, strAdCp
' Change Excel AddIn Flag
    objExcel.Workbooks.Add
    Set oAdd = objExcel.AddIns.Add(strAdCp,True)
    oAdd.Installed = True
' Delete Excel object
    objExcel.Quit
    Set objExcel   = Nothing
    Set objFileSys = Nothing
End Sub

